# beginning

execute store result score commandFeedback ts_settings run gamerule sendCommandFeedback
execute if score commandFeedback ts_settings matches 1 run gamerule sendCommandFeedback false

scoreboard players add @s swordsThrown 0
scoreboard players add [Global] swordsThrown 0

playsound minecraft:item.book.page_turn master @s

tellraw @s ["",{"text":"⬧"},{"text":"        ","strikethrough":"true"},{"text":" [Throwable Swords] ","color":"red","bold":"true"},{"text":"        ","strikethrough":"true"},{"text":"⬧"}]

tellraw @s ["",{"text":"\n   Total Swords Thrown:  "},{"score":{"name":"[Global]","objective":"swordsThrown"},"bold":true,"color":"yellow"}]
tellraw @s ["",{"text":"   Your Swords Thrown:  "},{"score":{"name":"@s","objective":"swordsThrown"},"bold":true,"color":"yellow"}]

# admin info

tellraw @s [{"text":"\n               [Refresh]","color":"gray","bold":"true","clickEvent":{"action":"run_command","value":"/function throwableswords:admin_info"},"hoverEvent":{"action":"show_text","value":[{"text":"Click to refresh page"}]}}]

tellraw @s [{"text":"\n              > Settings <\n","color":"yellow","bold":"true"}]

execute if score ThrowSwords ts_settings matches 1 run tellraw @s ["",{"text":" Ⓘ ","color":"yellow","hoverEvent":{"action":"show_text","value":[{"text":"When set to True, any sword is able to be thrown by dropping a sword while holding it."}]}},{"text":"Throw Swords:","bold":"true"},{"text":"  True  ","color":"green"},{"text":"(Change)","italic":true,"color":"gray","clickEvent":{"action":"run_command","value":"/function throwableswords:change_setting/ts0"},"hoverEvent":{"action":"show_text","value":[{"text":"Click to set to False"}]}}]
execute if score ThrowSwords ts_settings matches 0 run tellraw @s ["",{"text":" Ⓘ ","color":"yellow","hoverEvent":{"action":"show_text","value":[{"text":"When set to True, any sword is able to be thrown by dropping a sword while holding it."}]}},{"text":"Throw Swords:","bold":"true"},{"text":"  False ","color":"red"},{"text":"(Change)","italic":true,"color":"gray","clickEvent":{"action":"run_command","value":"/function throwableswords:change_setting/ts1"},"hoverEvent":{"action":"show_text","value":[{"text":"Click to set to True"}]}}]

tellraw @s {"text":""}

execute if score ApplyGravity ts_settings matches 1 run tellraw @s ["",{"text":" Ⓘ ","color":"yellow","hoverEvent":{"action":"show_text","value":[{"text":"When set to True, thrown swords will be affected by gravity, and will fall the further they travel."}]}},{"text":"Apply Gravity:   "},{"text":"  True  ","color":"green"},{"text":"(Change)","italic":true,"color":"gray","clickEvent":{"action":"run_command","value":"/function throwableswords:change_setting/ag0"},"hoverEvent":{"action":"show_text","value":[{"text":"Click to set to False"}]}}]
execute if score ApplyGravity ts_settings matches 0 run tellraw @s ["",{"text":" Ⓘ ","color":"yellow","hoverEvent":{"action":"show_text","value":[{"text":"When set to True, thrown swords will be affected by gravity, and will fall the further they travel."}]}},{"text":"Apply Gravity:   "},{"text":"  False ","color":"red"},{"text":"(Change)","italic":true,"color":"gray","clickEvent":{"action":"run_command","value":"/function throwableswords:change_setting/ag1"},"hoverEvent":{"action":"show_text","value":[{"text":"Click to set to True"}]}}]

execute if score CutBlocks ts_settings matches 1 run tellraw @s ["",{"text":" Ⓘ ","color":"yellow","hoverEvent":{"action":"show_text","value":[{"text":"When set to True, thrown swords will cut/break:\n§7All types of glass, flowers, flower pots, crops, saplings, nether roots, nether sprouts, vines, twisting vines, weeping vines, mushrooms, fungi, bamboo, sugar cane, and tall grasses."}]}},{"text":"Cut Blocks:       "},{"text":"  True  ","color":"green"},{"text":"(Change)","italic":true,"color":"gray","clickEvent":{"action":"run_command","value":"/function throwableswords:change_setting/cb0"},"hoverEvent":{"action":"show_text","value":[{"text":"Click to set to False"}]}}]
execute if score CutBlocks ts_settings matches 0 run tellraw @s ["",{"text":" Ⓘ ","color":"yellow","hoverEvent":{"action":"show_text","value":[{"text":"When set to True, thrown swords will cut/break:\n§7All types of glass, flowers, flower pots, crops, saplings, nether roots, nether sprouts, vines, twisting vines, weeping vines, mushrooms, fungi, bamboo, sugar cane, and tall grasses."}]}},{"text":"Cut Blocks:       "},{"text":"  False ","color":"red"},{"text":"(Change)","italic":true,"color":"gray","clickEvent":{"action":"run_command","value":"/function throwableswords:change_setting/cb1"},"hoverEvent":{"action":"show_text","value":[{"text":"Click to set to True"}]}}]

execute if score Durability ts_settings matches 1 run tellraw @s ["",{"text":" Ⓘ ","color":"yellow","hoverEvent":{"action":"show_text","value":[{"text":"When set to True, swords thrown by non-creative players will lose 1 durability each time it lands, or break if it already has 1 durability remaining."}]}},{"text":"Durability:        "},{"text":"  True  ","color":"green"},{"text":"(Change)","italic":true,"color":"gray","clickEvent":{"action":"run_command","value":"/function throwableswords:change_setting/db0"},"hoverEvent":{"action":"show_text","value":[{"text":"Click to set to False"}]}}]
execute if score Durability ts_settings matches 0 run tellraw @s ["",{"text":" Ⓘ ","color":"yellow","hoverEvent":{"action":"show_text","value":[{"text":"When set to True, swords thrown by non-creative players will lose 1 durability each time it lands, or break if it already has 1 durability remaining."}]}},{"text":"Durability:        "},{"text":"  False ","color":"red"},{"text":"(Change)","italic":true,"color":"gray","clickEvent":{"action":"run_command","value":"/function throwableswords:change_setting/db1"},"hoverEvent":{"action":"show_text","value":[{"text":"Click to set to True"}]}}]

execute if score InfoTrigger ts_settings matches 1 run tellraw @s ["",{"text":" Ⓘ ","color":"yellow","clickEvent":{"action":"run_command","value":"/scoreboard players set @s ThrowableSwords 1"},"hoverEvent":{"action":"show_text","value":[{"text":"When set to True, anyone will be able to type \"/trigger ThrowableSwords\" to see how many swords they've thrown, and what settings are enabled/disabled.\n§7Click to open the public Info page"}]}},{"text":"Info Trigger:     "},{"text":" True  ","color":"green"},{"text":"(Change)","italic":true,"color":"gray","clickEvent":{"action":"run_command","value":"/function throwableswords:change_setting/it0"},"hoverEvent":{"action":"show_text","value":[{"text":"Click to set to False"}]}}]
execute if score InfoTrigger ts_settings matches 0 run tellraw @s ["",{"text":" Ⓘ ","color":"yellow","clickEvent":{"action":"run_command","value":"/execute if entity @s[tag=Informational] run scoreboard players set @s ThrowableSwords 1"},"hoverEvent":{"action":"show_text","value":[{"text":"When set to True, anyone will be able to type \"/trigger ThrowableSwords\" to see how many swords they've thrown, and what settings are enabled/disabled.\n§7§mClick to open the public Info page"}]}},{"text":"Info Trigger:     "},{"text":" False ","color":"red"},{"text":"(Change)","italic":true,"color":"gray","clickEvent":{"action":"run_command","value":"/function throwableswords:change_setting/it1"},"hoverEvent":{"action":"show_text","value":[{"text":"Click to set to True"}]}}]

# ending

tellraw @s ["",{"text":"\n⬧"},{"text":"               ","strikethrough":"true"},{"text":" By PvPqnda ","color":"gold","clickEvent":{"action":"open_url","value":"https://PvPqnda.com"},"hoverEvent":{"action":"show_text","value":"§b[Website]"}},{"text":"               ","strikethrough":"true"},{"text":"⬧"}]