# store y coordinate:
execute store result score @s ts_cmdFeedback run data get entity @s Pos[1]

# keep setting rotation of head to arm:
data modify entity @s Pose.RightArm[1] set from entity @s Rotation[1]

# move forward:
execute positioned ~ ~-1.35 ~ positioned ^-0.2 ^ ^-1 run tp @s ^ ^ ^1
execute if score ApplyGravity ts_settings matches 1 positioned ~ ~-1.35 ~ positioned ^-0.2 ^ ^ run tp @s ~ ~ ~ ~ ~1

# apply fire to hit entity:
execute if entity @s[nbt={HandItems:[{tag:{Enchantments:[{id:"minecraft:fire_aspect"}]}}]}] if entity @e[type=!item,tag=!thrownSword,tag=!damageDelay,dx=0] as @e[type=!item,tag=!thrownSword,tag=!damageDelay,dx=0,sort=nearest,limit=1] run data merge entity @s {Fire:80s}
execute if entity @s[nbt={HandItems:[{tag:{Enchantments:[{lvl:1s,id:"minecraft:fire_aspect"}]}}]}] if entity @e[type=!item,tag=!thrownSword,tag=!damageDelay,dx=0] as @e[type=!item,tag=!thrownSword,tag=!damageDelay,dx=0,sort=nearest,limit=1] run data merge entity @s {Fire:40s}

# hit entity:
execute if entity @e[type=!item,tag=!thrownSword,tag=!damageDelay,dx=0] as @e[type=!item,tag=!thrownSword,tag=!damageDelay,dx=0,sort=nearest,limit=1] run function throwableswords:hit
execute if entity @e[type=!item,tag=!thrownSword,tag=!damageDelay,dx=0] run function throwableswords:drop/check

# break single breakable blocks and drop:
execute if score CutBlocks ts_settings matches 1 unless entity @e[type=!item,tag=!thrownSword,tag=!damageDelay,dx=0] if block ~ ~ ~ #throwableswords:single_breakable run function throwableswords:break_single_block

# break breakable blocks:
execute if score CutBlocks ts_settings matches 1 unless entity @e[type=!item,tag=!thrownSword,tag=!damageDelay,dx=0] if block ~ ~ ~ #throwableswords:breakable run setblock ~ ~ ~ air destroy

# put out candles:
execute if block ~ ~ ~ #minecraft:candles[lit=true] run function throwableswords:put_out_candle

# hit block:
execute unless entity @e[type=!item,tag=!thrownSword,tag=!damageDelay,dx=0] unless block ~ ~ ~ #throwableswords:passable run function throwableswords:drop/check

# drop if out of world y level:
execute if score ApplyGravity ts_settings matches 0 if entity @s[scores={ts_cmdFeedback=260..}] run function throwableswords:drop/check